var ws;
    
function init() {
  // Connect to Web Socket
  ws = new WebSocket("ws://localhost:9001/");
  // Set event handlers.
  ws.onopen = function() {
    //connected
  };
  
  ws.onmessage = function(e) {
    try {
      j = JSON.parse(e.data);

      if (j['action'] == "files") {
        text = '<select id="lf">';

        for (var i = 0; i < j['data'].length; i++){
            var obj = j['data'][i];
            text += '<option value="' + obj + '">' + obj + '</option>';
        }

        text += '</select>';

        document.getElementById("files").innerHTML = text;
      }

      else if (j['action'] == "settings") {
        data = j['data'];

        var i = 1;

        while (i <= 4)
        {
          document.getElementsByName("t"+i)[0].value = data[0]['t'+i];
          document.getElementsByName("rh"+i)[0].value = data[0]['rh'+i];
          i = i + 1;
        }
        
        document.getElementById("tab-loading").style.display = "none";
        document.getElementById("tab-content").style.display = "block";
      }
      else if (j['action'] == "history")
      {
        var text = '<div class="history-item"><div class="quality-' + j['classification'] + '"></div>';
        text += '<div class="text">' + j['date'] + ' -- (' + j['temp'] + '&deg;C ++ ' + j['rh'] + '% RH)</div></div>';

        if (document.getElementById("historyitemscontainer").innerHTML == "None") {
          document.getElementById("historyitemscontainer").innerHTML = "";
        }

        document.getElementById("historyitemscontainer").innerHTML += text;

      }
      else if (j['action'] == "stepresult") {
        var elem = document.getElementById(j['name']);

        content = elem.innerHTML;
        content = content.split("<")[0];
        elem.innerHTML = content + "<div class='quality-mediocre'></div>";

        document.getElementById("current-data").innerHTML = j['date'];
      }
    }
    catch(error) {
    }
    // e.data contains received string.
  };
  
  ws.onclose = function() {
    //disconnected
  };
  ws.onerror = function(e) {
    //error
    console.log(e)
  };
}

function message(msg) {
  ws.send(msg);
}