from readdata import *
import settings

"""
import preparetraining
preparetraining.prepareTrainingData("../Data/ARM_Historische_zaal_simple.csv", 15)
"""
def prepareTrainingData(file_location, interval):
	data = ReadDataFile(file_location)

	for d in data:
		parameters = d.getParameterNames()

		for p in parameters:
			if p != "Date":
				index = settings.parameter_names.index(p)
				if (d.getValueOfParameter(p) == ""):
					break
				value = float(d.getValueOfParameter(p))

				if (value < settings.parameter_lower_bounds[index] or value > settings.parameter_upper_bounds1[index]):
					d.classification = "bad"
				elif (value < settings.parameter_upper_bounds[index] and value > settings.parameter_lower_bounds1[index]):
					if (d.classification == "unknown"):
						d.classification = "good"
				else:
					if (d.classification != "bad"):
						d.classification = "mediocre"

	return data

