var opacity_value = '0.3';
$(document).ready(function() {
  $( ".citem" )
  .mouseover(function() {
    jQuery(this).css('opacity', opacity_value);
  })
  .mouseout(function() {
    jQuery(this).css('opacity', 1.0);
  })
  .click(function(){
    var name = $(this).get(0).innerHTML;
    
    switch(name) {
      case "Delete":
        $("#" + selected_object).remove();
        message("{ \"action\" : \"delete\", \"name\" : \"" + selected_object + "\"}");
        hideAll();
        break;
      case "Rename":
        document.getElementById("rename_value").value = selected_object;
        hideAll();
        showOverlay();
        showRename();
        break;
      case "View history":
        hideAll();
        showOverlay();
        showHistory();

        message("{ \"action\" : \"history\", \"name\" : \"" + selected_object + "\"}");

        //Send request for history over ws
        break;
      default:
        console.log('found item ' + name);
    }
  });


  $(".tab").click(function(){
    var name = $(this).get(0).innerHTML;

    jQuery('.tab').css('opacity', '1.0');
    jQuery(this).css('opacity', opacity_value);

    document.getElementById("tab-loading").innerHTML = '<img src="img/loading.gif" width="100">';
    message("{ \"action\" : \"settings\", \"name\" : \"" + name + "\"}");
  });


  $(".item").click(function(){
    var activate = true;

    if (this.style.opacity == opacity_value)
    {
      activate = false;
    }

    jQuery('.item').css('opacity', '1.0');

    if (activate) {
      jQuery(this).css('opacity', opacity_value);
    }

    $('.item').each(function(i, obj) {
        if (obj.style.opacity == opacity_value) {
          var name = $(this).get(0).childNodes[3].innerHTML;

          switch(name) {
            case "Settings":
              showOverlay();
              showSettings();
              break;
            case "Upload":
              showOverlay();
              showUpload();
              break;
            case "Load":
              showOverlay();
              showLoad();
              message("{ \"action\" : \"getfiles\"}");
              break;
            case "Step":
              //Send to ws
              setTimeout(function(){ jQuery(obj).css('opacity', '1.0'); }, 200);
              break;
            case "Run":
              //Send to ws
              setTimeout(function(){ jQuery(obj).css('opacity', '1.0'); }, 200);
              break;
            default:
              console.log('found item ' + name);
          }

          return false;
        }
    });
  });
});